commit:     8da8c384cd38ccee44ec336d18ee12b7cb82a7ab
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 18 18:39:31 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Mar 19 09:08:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8da8c384

app-misc/away: tidy up ebuild.

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-misc/away/away-0.9.5-r2.ebuild | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

diff --git a/app-misc/away/away-0.9.5-r2.ebuild 
b/app-misc/away/away-0.9.5-r2.ebuild
index 2c5e59eac8d..36184acaa9a 100644
--- a/app-misc/away/away-0.9.5-r2.ebuild
+++ b/app-misc/away/away-0.9.5-r2.ebuild
@@ -7,35 +7,33 @@ inherit pam toolchain-funcs flag-o-matic
 
 DESCRIPTION="Terminal locking program with few additional features"
 HOMEPAGE="http://unbeatenpath.net/software/away/";
-SRC_URI="http://unbeatenpath.net/software/away/${P}.tar.bz2";
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ~ppc ~ppc64 sparc x86"
-IUSE=""
 
 RDEPEND=">=sys-libs/pam-0.75"
 DEPEND="${RDEPEND}"
 
+DOCS=( BUGS AUTHORS NEWS README TODO data/awayrc )
 src_prepare() {
        default
        sed -i -e '/-o \$(BINARY)/d' \
-       -e 's:LIBS:LDLIBS:' \
-       "${S}"/Makefile || die "Makefile fix failed"
+               -e 's:LIBS:LDLIBS:' \
+               "${S}"/Makefile || die "Makefile fix failed"
 
 }
 
 src_compile() {
        append-flags -pthread
 
-       emake CFLAGS="${CFLAGS}" CC="$(tc-getCC)" || die
+       emake CFLAGS="${CFLAGS}" CC="$(tc-getCC)"
 }
 
 src_install() {
        dobin away
-
-       pamd_mimic_system away auth
-
        doman doc/*
-       dodoc BUGS AUTHORS NEWS README TODO data/awayrc
+       einstalldocs
+       pamd_mimic_system away auth
 }

Reply via email to